Subject: [Int-dir] Intdir telechat review of draft-ietf-bess-evpn-fast-df-recovery-09
From: Dave Thaler via Datatracker <[email-masked]>
To: <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Tue, 13 Aug 2024 10:41:32 -0700
List-Id: "This list is for discussion between the members of the Internet Area directorate." <int-dir.ietf.org>

Reviewer: Dave Thaler
Review result: Ready with Nits

I am the assigned INTDIR reviewer.  I found the document
well written and easy to read, other than a number of
typos and grammatical errors. 

A PDF with my comments marked up inline can be found at:
https://1drv.ms/b/s!Aqj-Bj9PNivcn_xoEc8XRepNkAgJaQ?e=7keL4H

A few of my comments are listed below, but see the PDF for
many more trivial ones.

Section 1.4: "The fast DF recovery solution maintains backwards-compatibility
      (see Section 4) by ensuring that PEs any unrecognized new BGP
      Extended Community."
I can't parse grammar around "PEs any unrecognized".  Perhaps a
word missing?

Section 2.1: Is it worth adding that the seconds are encoded
in network byte order? This might be assumed by most readers
but might not hurt to say explicitly.  Up to you.

Section 3: "To maintain the preference for minimal loss over duplicate traffic,
   PE1 should carve slightly before PE2 (with skew)."
Should the "should" be MUST or SHOULD?

Section 4: "[RFC7432] and do not rely on the new SCT BGP extended community."
And what?  Seems like something is missing here.

Dave